Move a plane to the bottom of another object with a Macro

Is there a way to create a macro that can create then align/move a plane to the bottom of another object with out moving said object…? only the plane moves to the bottom of the object.


Hello- Move > Vertical will do this - snap to any point on the plane, and in ypour example at least the End point of the sphere edge.

-Pascal

Thanks for the tip! Is this more of a scripting thing to actually move the plane to the quad snap on the sphere…?

Hello- if you want to automatically move the object with no clicking on the users’ part then yes it’s a script. Here’s a Python -

import rhinoscriptsyntax as rs

def test():

    id = rs.GetObject("Select the object to move", preselect=True)
    if not id:
        return

    id2 = rs.GetObject("Select the target object")
    if not id2:
        return
    
    bb1 = rs.BoundingBox([id],rs.ViewCPlane(), False)
    bb2 = rs.BoundingBox([id2],rs.ViewCPlane(), False)


    p1 = (bb1[4]+ bb1[6])/2
    p2 = (bb2[0]+ bb2[2])/2

    vecDir = p2-p1

    rs.MoveObject(id, vecDir)

if __name__ == "__main__":
    test()

-Pascal

1 Like